Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaPrimitiveValue

All Superinterfaces:
  IAdaptable, IDebugElement, IJavaValue, IValue

public interface IJavaPrimitiveValue
extends IJavaValue

A primitive value on a Java debug target.

Clients are not intended to implement this interface.

Since:
  2.0

Method Summary
`boolean` | `getBooleanValue()` Returns this value as a boolean.
`byte` | `getByteValue()` Returns this value as a byte
`char` | `getCharValue()` Returns this value as a char
`double` | `getDoubleValue()` Returns this value as a double
`float` | `getFloatValue()` Returns this value as a float
`int` | `getIntValue()` Returns this value as an int
`long` | `getLongValue()` Returns this value as a long
`short` | `getShortValue()` Returns this value as a short

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaValue
`getJavaType, getSignature`

Methods inherited from interface org.eclipse.debug.core.model.IValue
`getReferenceTypeName, getValueString, getVariables, hasVariables, isAllocated`

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getDebugTarget, getLaunch, getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getBooleanValue

    public boolean getBooleanValue()

  Returns this value as a boolean.

  Returns:
    this value as a boolean

### getByteValue

    public byte getByteValue()

  Returns this value as a byte

  Returns:
    this value as a byte

### getCharValue

    public char getCharValue()

  Returns this value as a char

  Returns:
    this value as a char

### getDoubleValue

    public double getDoubleValue()

  Returns this value as a double

  Returns:
    this value as a double

### getFloatValue

    public float getFloatValue()

  Returns this value as a float

  Returns:
    this value as a float

### getIntValue

    public int getIntValue()

  Returns this value as an int

  Returns:
    this value as an int

### getLongValue

    public long getLongValue()

  Returns this value as a long

  Returns:
    this value as a long

### getShortValue

    public short getShortValue()

  Returns this value as a short

  Returns:
    this value as a short

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.